Bug 53102 - problems with r128 module
Summary: problems with r128 module
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-03 17:02 UTC by Eugene Kanter
Modified: 2007-04-18 16:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 18:17:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eugene Kanter 2001-09-03 17:02:26 UTC
Description of Problem:

xawtv locks the kernel solid

Version-Release number of selected component (if applicable):

xawtv-3.54-5, kernel-2.4.7-6 (athlon and intel), XFree86-4.1.0-1,

00:00.0 Host bridge: Advanced Micro Devices [AMD] AMD-751 [Irongate] System
Controller (rev 25)
00:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-751 [Irongate] AGP
Bridge (rev 01)
00:07.0 ISA bridge: Advanced Micro Devices [AMD] AMD-756 [Viper] ISA (rev 01)
00:07.1 IDE interface: Advanced Micro Devices [AMD] AMD-756 [Viper] IDE
(rev 07)
00:07.3 Bridge: Advanced Micro Devices [AMD] AMD-756 [Viper] ACPI (rev 03)
00:07.4 USB Controller: Advanced Micro Devices [AMD] AMD-756 [Viper] USB
(rev 06)
00:08.0 Multimedia audio controller: Aureal Semiconductor Vortex 2 (rev fe)
00:09.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100]
(rev 01)
00:0a.0 SCSI storage controller: Symbios Logic Inc. (formerly NCR) 53c895
(rev 02)
00:0b.0 Multimedia video controller: Brooktree Corporation Bt878 (rev 02)
00:0b.1 Multimedia controller: Brooktree Corporation Bt878 (rev 02)
00:0c.0 SCSI storage controller: Adaptec AHA-294x / AIC-7871 (rev 03)
01:05.0 VGA compatible controller: ATI Technologies Inc Rage 128 RF

How Reproducible:

always

Steps to Reproduce:
1. use r128 card and make sure that r128 module is loaded (default)
2. run sync; xawtv


Actual Results:

the system locks solid after several TV frames displayed (slmost immediately)

Expected Results:

xawtv window shows TV picture.

Additional Information:

if r128.o file is removed from kernel modules directory and X restarted
xawtv works fine.

Comment 1 Leonid Kanter 2001-09-04 15:18:15 UTC
This also happens on my box with kwintv (rpm --rebuild kwintv from 7.1 powertools).

Comment 2 Mike A. Harris 2001-10-11 19:47:04 UTC
Reassigning to kernel.  Just to note, R128 driver uses DRM for 2D and
3D IIRC.  So it is likely a DRI/DRM issue.

Comment 3 Eugene Kanter 2002-07-16 17:49:44 UTC
Xawtv in 7.3 seems to work without crashes with loaded r128 module.


Note You need to log in before you can comment on or make changes to this bug.